API reference
List emails newest first
Source: OpenAPI (openapi/openapi.yaml).
curl -X GET "https://api.sendtier.example/emails" \ -H "Authorization: Bearer st_live_REPLACE_ME"{ "data": [ { "id": "string", "status": "queued", "status_detail": "string", "created_at": "2019-08-24T14:15:22Z", "from": "string", "to": [ "string" ], "subject": "string", "test_mode": true, "domain_id": "string" } ], "next_cursor": "string"}GET
header
AuthorizationBearer <token>API key: st_live_... or st_test_...
limit?integerRange
1 <= value <= 100Default
50after?stringCursor from next_cursor of the previous page.
status?stringValue in
"queued""scheduled""sent""delayed""delivered""bounced""complained""failed""canceled"domain_id?stringtest_mode?booleanA page of emails.
application/json- response
data*array<>next_cursor?string